API ReferenceManagementResource Policies
POST
/v1/mgmt/resourcepolicy/update

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

resourceId?string
thirdPartyApplicationId?string
userAccessScopes?array<string>
string
clientAccessScopes?array<string>
string
allUserScopes?boolean
allClientScopes?boolean

Update a resource policy, using a valid management key.

curl -X POST "https://api.descope.com/v1/mgmt/resourcepolicy/update" \  -H "Content-Type: application/json" \  -d '{}'
{  "resourcePolicy": {    "version": "string",    "thirdPartyApplicationId": "string",    "resourceId": "string",    "userAccessScopes": [      "string"    ],    "clientAccessScopes": [      "string"    ],    "allUserScopes": true,    "allClientScopes": true,    "createdTime": "string",    "modifiedTime": "string"  }}
export interface Response {/** * ResourcePolicy CRUD messages */resourcePolicy?: {version?: stringthirdPartyApplicationId?: stringresourceId?: stringuserAccessScopes?: string[]clientAccessScopes?: string[]allUserScopes?: booleanallClientScopes?: booleancreatedTime?: stringmodifiedTime?: string}}
Was this helpful?